API Reference

Create a purchase using a network token passthrough

POST/purchases/ ​

The cryptogram object

Using a scheme token to transact a cryptogram must be provided for the first transaction.

Subsequent transactions may provide the cryptogram if required.

Fatzebra will save the the scheme token as a standard credit card record with a Fatzebra token, with a wallet type of 'Passthrough token'. Using the returned Fatzebra token, the cryptogram may be passed in.

BIN blocking based on county of origin will not be performed when using network token passthrough.

As the underlying instrument is not provided, and the network token submitted may have been generated with a BIN that corresponds to a foreign institution, BIN blocking can not be applied to transactions using network token passthrough.

Body Parameters

amountinteger (int32)

A positive integer representing how much to charge, in the smallest currency unit (eg., 100 to charge $1.00, or 100 to Charge ¥100, a zero decimal currency)

referencestring

Reference of the transaction. Max length 255 characters.

customer_ipstring

RFC791-compliant IP address

currencystring· Defaults to AUD

Three letter ISO currency code, in UPPERCASE

card_numberstring

DPAN or network scheme token

card_holderstring

Name of the card holder

card_expirystring(optional)

The token expiry - format: MM/YYYY

cryptogramstring(optional)

Cryptogram value - 28 characters

network_ecistring(optional)· Defaults to 07

ECI value associated with network cryptogram (required for VTS on MPGS only)

testboolean(optional)· Defaults to false

Indicates if this is a test transaction

metadataobject(optional)
addendum_datastring(optional)
captureboolean(optional)· Defaults to true

Indicates if this purchase should be captured (true), or authorized only (false). Defaults to true

extraobject(optional)
extra.ecmstring(optional)· Defaults to 31

Specifies the transaction source and type for processing. This value is two digits, the first indicating the source (1 = Mail Order, 2 = Telephone Order, 3 = Internet) and the second indicating the payment type (1 = Single, 2 = Recurring, 3 = Instalment - not commonly supported)

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/purchases -u TEST:TEST -d'
  {
  "card_number": "55555555555555555",
  "card_holder": "Valued Cardholder",
  "card_expiry": "02/2027",
  "customer_ip": "127.0.0.1",
  "reference": "abcsd1234",
  "amount": 110,
  "currency": "AUD",
  "capture": true,
  "cryptogram": "Aaaaaa111112222223333344444=="
  }'

Response

200cURL - Scheme token or Fatzebra card token
json
{
  "successful": true,
  "response": {
  "authorization": "295229",
  "id": "071-P-HEJJINFO",
  "card_number": "555555XXXXXX5555",
  "card_holder": "Valued Cardholder",
  "card_expiry": "2027-02-28",
  "card_token": "qwer9876",
  "card_type": "MasterCard",
  "card_category": "Credit",
  "card_subcategory": "Standard",
  "amount": 110,
  "decimal_amount": 1.1,
  "successful": true,
  "message": "Approved",
  "reference": "fd792da68ea1b8a1ba791a0efc6f73b4",
  "currency": "USD",
  "transaction_id": "071-P-HEJJINFO",
  "settlement_date": "2018-07-06",
  "transaction_date": "2018-07-06T10:31:05+10:00",
  "response_code": "00",
  "captured": true,
  "captured_amount": 110,
  "rrn": "071PHEJJINFO",
  "cvv_match": "M",
  "metadata": {},
  "addendum_data": {}
  },
  "errors": [],
  "test": true
}
400Result
json
{
  "successful": false,
  "response":  {
  "authorization": null,
  "id": "071-P-QE2I2PCW",
  "card_number": "512345XXXXXX2346",
  "card_holder": "Jim Smith",
  "card_expiry": "2030-02-28",
  "card_token": "fke86c5u",
  "card_type": "MasterCard",
  "card_category": "Credit",
  "card_subcategory": "Standard",
  "amount": 10000,
  "decimal_amount": 100.0,
  "successful": false,
  "message": null,
  "reference": "da5d16122b831b468090a7adaf68758e",
  "currency": "XXX",
  "transaction_id": "071-P-QE2I2PCW",
  "settlement_date": null,
  "transaction_date": null,
  "response_code": "99",
  "captured": false,
  "captured_amount": null,
  "rrn": null,
  "cvv_match": "U",
  "metadata": {},
  "addendum_data": null
  },
  "errors": ["Currency XXX is not valid for this merchant. Permitted currencies: USD,AUD,NZD,GBP"]
}